libdap::D4ConstraintEvaluator Class Reference

`#include <D4ConstraintEvaluator.h>`

## Public Member Functions

| D4ConstraintEvaluator (DMR *dmr)
DMR * | dmr () const
void | error (const libdap::location &l, const std::string &m)
bool | parse (const std::string &expr)
bool | result () const
void | set_dmr (DMR *dmr)
void | set_result (bool r)
void | set_trace_parsing (bool tp)
void | set_trace_scanning (bool ts)
bool | trace_parsing () const
bool | trace_scanning () const

## Friends

class | D4CEParser

## Detailed Description

Driver for the DAP4 Constraint Expression parser.

Definition at line 46 of file D4ConstraintEvaluator.h.

The documentation for this class was generated from the following files:

- D4ConstraintEvaluator.h
- D4ConstraintEvaluator.cc